Bug 632200 (CVE-2010-3493) - CVE-2010-3493 Python: SMTP proxy RFC 2821 module DoS (uncaught exception) (Issue #9129)
Summary: CVE-2010-3493 Python: SMTP proxy RFC 2821 module DoS (uncaught exception) (Is...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3493
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 693954 693955 693956 693961
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-09 12:01 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:44:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0491 normal SHIPPED_LIVE Moderate: python security update 2011-05-05 18:56:24 UTC
Red Hat Product Errata RHSA-2011:0492 normal SHIPPED_LIVE Moderate: python security update 2011-05-05 18:20:30 UTC
Red Hat Product Errata RHSA-2011:0554 normal SHIPPED_LIVE Moderate: python security, bug fix, and enhancement update 2011-05-19 11:35:29 UTC

Description Jan Lieskovsky 2010-09-09 12:01:09 UTC
A race condition was found in the way Python's SMTP proxy
module (smtpd.py) processed retrieving of remote IP 
address the socket was connected to (the other end 
could close the connection sooner before the requester 
could get the peername). A remote, unauthenticated user 
could use this flaw to cause the running python SMTP 
instance to terminate with uncaught exception by 
issuing sequence of connection requests within short 
time interval.

References:
[1] http://bugs.python.org/issue9129

Upstream patch:
[2] http://svn.python.org/view?view=rev&revision=84289

Comment 1 Jan Lieskovsky 2010-09-09 12:03:41 UTC
Public issue proof of concept (from [1]):
=========================================
1, In one shell run: "python -m smtpd -n"
2, In another one run: "for i in {1..1000};do nmap -sT -p 8025 localhost;done"

Comment 2 Jan Lieskovsky 2010-09-09 12:04:55 UTC
This issue affects the versions of the python package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

--

This issue affects the versions of the python package, as shipped
with Fedora release of 12 and 13.

Comment 7 Jan Lieskovsky 2010-09-09 13:05:43 UTC
CVE Request:
[1] http://www.openwall.com/lists/oss-security/2010/09/09/6

Comment 8 Josh Bressers 2010-12-15 19:02:36 UTC
Upstream has fixed this in just the SMTP module:
http://svn.python.org/view?rev=87123&view=rev

It seems there isn't a nice way to fix this everywhere.

Comment 12 errata-xmlrpc 2011-05-05 18:20:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0492 https://rhn.redhat.com/errata/RHSA-2011-0492.html

Comment 13 errata-xmlrpc 2011-05-05 18:56:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0491 https://rhn.redhat.com/errata/RHSA-2011-0491.html

Comment 14 Vincent Danen 2011-05-05 19:58:06 UTC
Statement:

(none)

Comment 15 errata-xmlrpc 2011-05-19 11:35:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0554 https://rhn.redhat.com/errata/RHSA-2011-0554.html


Note You need to log in before you can comment on or make changes to this bug.